package com.fxy.base;

import android.annotation.SuppressLint;
import android.content.ContentProvider;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

/**
 * 后台获取Content
 */
public class UploadContentProvider  extends ContentProvider {
    private static Context context;

    @Override
    public boolean onCreate() {
        context = getContext();
        return true;
    }

    @Override
    public Cursor query(Uri uri, String[] projection, String selection, String[] selectionArgs, String sortOrder) {
        // 实现查询逻辑
        return null;
    }

    @Override
    public String getType(Uri uri) {
        // 实现类型逻辑
        return null;
    }

    @Override
    public Uri insert(Uri uri, ContentValues values) {
        // 实现插入逻辑
        return null;
    }

    @Override
    public int delete(Uri uri, String selection, String[] selectionArgs) {
        // 实现删除逻辑
        return 0;
    }

    @Override
    public int update(Uri uri, ContentValues values, String selection, String[] selectionArgs) {
        // 实现更新逻辑
        return 0;
    }

    public static Context getCurrentContext() {
        return context;
    }

}
